## pa-dlna 1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
.ONESHELL:
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

	case html in $@)
	    echo "Makefile: symlink index.html to README.html";
	    cd "$(BUILDDIR)/html";
	    if [ -f README.html ]; then
		ln -sf README.html index.html;
	    else
		echo "Makefile: *** error: README.html not found";
	fi
	esac

=== docs/requirements.txt ===
sphinx >= 5.3
sphinx_rtd_theme >= 1.1

## pa-dlna 0.11

=== debian/changelog ===
pa-dlna (0.11-2) unstable; urgency=medium

  * Source-only upload

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Jul 2024 21:42:01 +0200

pa-dlna (0.11-1) unstable; urgency=low

  * Initial release (Closes: #1074075)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Jun 2024 00:12:15 +0200

=== debian/control ===
Source: pa-dlna
Section: sound
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3,
 python3-psutil,
 python3-libpulse,
 ffmpeg <!nocheck>,
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/sramacher/pa-dlna.git
Vcs-Browser: https://salsa.debian.org/sramacher/pa-dlna
Homepage: https://gitlab.com/xdegaye/pa-dlna

Package: pa-dlna
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 pulseaudio-utils,
 ffmpeg | flac,
 ffmpeg | lame,
Description: forward pulseaudio streams to DLNA devices
 The pa-dlna program forwards PulseAudio streams to DLNA devices supporting
 both lossless (PCM, Flac, Aiff) and lossy streams (MP3, Vorbis, and more). The
 package also includes an interactive command line tool to introspect and
 control UPnP devices.

=== debian/watch ===
version=4
# try also https://pypi.debian.net/pa-dlna/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pa-dlna/pa-dlna-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pa-dlna 0.15

=== debian/changelog ===
pa-dlna (0.15-1) unstable; urgency=medium

  * New upstream version 0.15 (Closes: #1091186)
  * debian/copyright: Bump copyright years
  * debian/control:
    - Bump Standards-Version
    - Bump python3-libpulse to >= 0.5 based on upstream requirements

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Feb 2025 22:31:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  pybuild-plugin-pyproject,
  python3,
  python3-psutil,
- python3-libpulse,
+ python3-libpulse (>= 0.5),
  ffmpeg <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/sramacher/pa-dlna.git

## pa-dlna 0.16

=== debian/changelog ===
pa-dlna (0.16-1) unstable; urgency=medium

  * New upstream version 0.16
  * debian/control:
    - Bump Standards-Version
    - Bump python3-libpulse to >= 0.7 based on upstream requirements

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Mar 2025 19:09:53 +0100

## pa-dlna 1.0

=== debian/changelog ===
pa-dlna (1.0-1) unstable; urgency=medium

  * New upstream version 1.0

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 14 Apr 2025 22:23:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  pybuild-plugin-pyproject,
  python3,
  python3-psutil,
- python3-libpulse (>= 0.5),
+ python3-libpulse (>= 0.7),
  ffmpeg <!nocheck>,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/sramacher/pa-dlna.git

## pa-dlna 1.1

=== debian/changelog ===
pa-dlna (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * debian/control: Drop RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 10 Oct 2025 19:00:40 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  ffmpeg <!nocheck>,
 Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/sramacher/pa-dlna.git
 Vcs-Browser: https://salsa.debian.org/sramacher/pa-dlna
 Homepage: https://gitlab.com/xdegaye/pa-dlna

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pa-dlna

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	find debian/pa-dlna/usr/lib -name encoder.py -o -name parec.py -o -name streams.py | \
		xargs chmod -x

=== debian/watch ===
version=4
# try also https://pypi.debian.net/pa-dlna/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pa-dlna/pa[_-]dlna-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pa-dlna 1.2

=== debian/changelog ===
pa-dlna (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * debian/control:
    - Bump Standards-Version
    - Remove Priority: optional

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Jan 2026 17:38:29 +0100

pa-dlna (1.1-2) unstable; urgency=medium

  * debian/: Install pa-dlna systemd unit as non-enabled user service (Closes:
    #1123768)
    - Recommend python3-systemd for systemd service
  * debian/rules: Do not install tests

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Dec 2025 09:42:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pa-dlna
 Section: sound
-Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,7 +10,7 @@
  python3-psutil,
  python3-libpulse (>= 0.7),
  ffmpeg <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/sramacher/pa-dlna.git
 Vcs-Browser: https://salsa.debian.org/sramacher/pa-dlna
@@ -25,6 +24,8 @@
  pulseaudio-utils,
  ffmpeg | flac,
  ffmpeg | lame,
+Recommends:
+ python3-systemd,
 Description: forward pulseaudio streams to DLNA devices
  The pa-dlna program forwards PulseAudio streams to DLNA devices supporting
  both lossless (PCM, Flac, Aiff) and lossy streams (MP3, Vorbis, and more). The

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pa-dlna

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	find debian/pa-dlna/usr/lib -name tests | \
		xargs rm -rf

override_dh_installsystemduser:
	dh_installsystemduser --no-enable pa-dlna.service

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/p/pa-dlna/
Matching-Pattern: pa_dlna-@ANY_VERSION@@ARCHIVE_EXT@
